* Disclaimer: This software code and all associated documentation, comments
*             or other information (collectively "Software") is provided
*             "AS IS" without warranty of any kind. MICRON TECHNOLOGY, INC.
*             ("MTI") EXPRESSLY DISCLAIMS ALL WARRANTIES EXPRESS OR IMPLIED,
*             INCLUDING BUT NOT LIMITED TO, NONINFRINGEMENT OF THIRD PARTY
*             RIGHTS, AND ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
*             FOR ANY PARTICULAR PURPOSE. MTI DOES NOT WARRANT THAT THE
*             SOFTWARE WILL MEET YOUR REQUIREMENTS, OR THAT THE OPERATION OF
*             THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE. FURTHERMORE,
*             MTI DOES NOT MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE
*             RESULTS OF THE USE OF THE SOFTWARE IN TERMS OF ITS CORRECTNESS,
*             ACCURACY, RELIABILITY, OR OTHERWISE. THE ENTIRE RISK ARISING OUT
*             OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU. IN NO
*             EVENT SHALL MTI, ITS AFFILIATED COMPANIES OR THEIR SUPPLIERS BE
*             LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, INCIDENTAL, OR
*             SPECIAL DAMAGES (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS
*             OF PROFITS, BUSINESS INTERRUPTION, OR LOSS OF INFORMATION)
*             ARISING OUT OF YOUR USE OF OR INABILITY TO USE THE SOFTWARE,
*             EVEN IF MTI HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*             Because some jurisdictions prohibit the exclusion or limitation
*             of liability for consequential or incidental damages, the above
*             limitation may not apply to you.
*             Copyright 2019 Micron Technology, Inc. All rights reserved.
*
******************************************************************************************************
* On-die Decoupling circuit for z11b (VDDQ to VSSQ)
* Includes VDDQ-VSSQ decoupling for an individual signal such as DQ0-15, LDQS_t/c, UDQS_t/c, UDM or LDM.
* This subcircuit should be added across the IBIS DQ, DM or DQS model's [Pullup Reference] and [Pulldown Reference]
* nodes as in the following Spice example:

******************************************************************************************************
*x_decouple vddq_die vcc_die vssq_die gnd z11b_ondie_decoupling_perdq

*b_dq1 vccq_die vssq_die PAD_DQ1 IN_DQ1 ENOUT RCVR_OUT_DQ1 vccq_die vssq_die
*+ file='z11b.ibs' model='DQ_34_2933' typ=typ power=off buffer=3 interpol=1 ramp_fwf=2 ramp_rwf=2
*+ rm_tail_rwf=default rm_tail_fwf=default
*+ rm_dly_rwf=default rm_dly_fwf=default
******************************************************************************************************


.subckt z11b_ondie_decoupling_perdq vddq_die vcc_die vssq_die ref
x1 vddq_die ref vcc_die ref vssq_die ref z11b_cfat_perdq
**********************************************************
** STATE-SPACE REALIZATION               
** IN SPICE LANGUAGE
** This file is automatically generated  
**********************************************************
** Created: 27-Jun-2018 by IdEM R2012 (8.0.6)
**********************************************************


**********************************************************
* NOTE:
* a_i  --> input node associated to the port i 
* b_i  --> reference node associated to the port i 
**********************************************************

***********************************
* Interface (ports specification) *
***********************************
.subckt z11b_cfat_perdq
+  a_1 b_1 
+  a_2 b_2 
+  a_3 b_3 
***********************************


******************************************
* Main circuit connected to output nodes *
******************************************

* Port 1
VI_1 a_1 NI_1 0
RI_1 NI_1 b_1 5.0000000000000000e+001
GC_1_1 b_1 NI_1 NS_1 0 8.4746679378006826e-002
GC_1_2 b_1 NI_1 NS_2 0 7.1067391046714448e-004
GC_1_3 b_1 NI_1 NS_3 0 2.9956894338421710e-006
GC_1_4 b_1 NI_1 NS_4 0 1.2726492877657306e-006
GC_1_5 b_1 NI_1 NS_5 0 1.8003365338373944e-005
GC_1_6 b_1 NI_1 NS_6 0 2.5723925638614651e-006
GC_1_7 b_1 NI_1 NS_7 0 9.6165423108236224e-007
GC_1_8 b_1 NI_1 NS_8 0 1.2503613221642926e-008
GC_1_9 b_1 NI_1 NS_9 0 -5.1779345451185941e-011
GC_1_10 b_1 NI_1 NS_10 0 3.1171643165088520e-013
GC_1_11 b_1 NI_1 NS_11 0 -1.3257896428957744e-006
GC_1_12 b_1 NI_1 NS_12 0 -1.5478411767261123e-006
GC_1_13 b_1 NI_1 NS_13 0 7.4148393739107976e-002
GC_1_14 b_1 NI_1 NS_14 0 -7.1768434950621873e-005
GC_1_15 b_1 NI_1 NS_15 0 -2.0487328574821071e-006
GC_1_16 b_1 NI_1 NS_16 0 -1.1048377579046380e-006
GC_1_17 b_1 NI_1 NS_17 0 -1.5707546177880443e-005
GC_1_18 b_1 NI_1 NS_18 0 -1.9389411098734237e-006
GC_1_19 b_1 NI_1 NS_19 0 1.7656833495530784e-006
GC_1_20 b_1 NI_1 NS_20 0 3.5462374231368000e-009
GC_1_21 b_1 NI_1 NS_21 0 -3.7384467334888011e-012
GC_1_22 b_1 NI_1 NS_22 0 -2.0058178645121536e-014
GC_1_23 b_1 NI_1 NS_23 0 1.5491021460726382e-006
GC_1_24 b_1 NI_1 NS_24 0 3.7772284680415712e-007
GC_1_25 b_1 NI_1 NS_25 0 7.9203341284175402e-002
GC_1_26 b_1 NI_1 NS_26 0 1.4251560219785846e-004
GC_1_27 b_1 NI_1 NS_27 0 -7.7724853301208126e-007
GC_1_28 b_1 NI_1 NS_28 0 -2.2324301334652007e-007
GC_1_29 b_1 NI_1 NS_29 0 -2.2444134190763441e-006
GC_1_30 b_1 NI_1 NS_30 0 -6.5671826989122677e-007
GC_1_31 b_1 NI_1 NS_31 0 -2.7212286143480206e-006
GC_1_32 b_1 NI_1 NS_32 0 -1.6308894619484580e-008
GC_1_33 b_1 NI_1 NS_33 0 2.7901137653369634e-011
GC_1_34 b_1 NI_1 NS_34 0 -4.4280163467291005e-013
GC_1_35 b_1 NI_1 NS_35 0 1.7956452769598911e-006
GC_1_36 b_1 NI_1 NS_36 0 1.1270886443929236e-006
GD_1_1 b_1 NI_1 NA_1 0 -2.6950036016907619e-001
GD_1_2 b_1 NI_1 NA_2 0 7.3405409606466731e-002
GD_1_3 b_1 NI_1 NA_3 0 9.6150254250093690e-003
*
* Port 2
VI_2 a_2 NI_2 0
RI_2 NI_2 b_2 5.0000000000000000e+001
GC_2_1 b_2 NI_2 NS_1 0 7.4155163445154715e-002
GC_2_2 b_2 NI_2 NS_2 0 -7.2391653391158892e-005
GC_2_3 b_2 NI_2 NS_3 0 -2.0555191250581415e-006
GC_2_4 b_2 NI_2 NS_4 0 -1.1019909971599275e-006
GC_2_5 b_2 NI_2 NS_5 0 -1.5693169008913564e-005
GC_2_6 b_2 NI_2 NS_6 0 -1.9391105207232351e-006
GC_2_7 b_2 NI_2 NS_7 0 1.7416971382760453e-006
GC_2_8 b_2 NI_2 NS_8 0 3.4160971757170648e-009
GC_2_9 b_2 NI_2 NS_9 0 -3.4326122360187505e-012
GC_2_10 b_2 NI_2 NS_10 0 -1.7106595707948616e-014
GC_2_11 b_2 NI_2 NS_11 0 1.5335236466820136e-006
GC_2_12 b_2 NI_2 NS_12 0 4.1392954661202053e-007
GC_2_13 b_2 NI_2 NS_13 0 8.4496656218554719e-002
GC_2_14 b_2 NI_2 NS_14 0 5.6518139096890102e-004
GC_2_15 b_2 NI_2 NS_15 0 2.2967012272715650e-006
GC_2_16 b_2 NI_2 NS_16 0 1.0823176023529619e-006
GC_2_17 b_2 NI_2 NS_17 0 1.4251533344358420e-005
GC_2_18 b_2 NI_2 NS_18 0 2.3483821497602580e-006
GC_2_19 b_2 NI_2 NS_19 0 3.1121226237494300e-006
GC_2_20 b_2 NI_2 NS_20 0 2.3990002818323734e-008
GC_2_21 b_2 NI_2 NS_21 0 4.1522994058389082e-011
GC_2_22 b_2 NI_2 NS_22 0 -1.7583475113813730e-012
GC_2_23 b_2 NI_2 NS_23 0 4.5277750491829664e-008
GC_2_24 b_2 NI_2 NS_24 0 1.7602563204676205e-007
GC_2_25 b_2 NI_2 NS_25 0 7.8860291681807221e-002
GC_2_26 b_2 NI_2 NS_26 0 2.8318709958486630e-004
GC_2_27 b_2 NI_2 NS_27 0 -2.5493965716499308e-007
GC_2_28 b_2 NI_2 NS_28 0 1.1868182484134478e-008
GC_2_29 b_2 NI_2 NS_29 0 1.4457378055950803e-006
GC_2_30 b_2 NI_2 NS_30 0 -4.1698106658758154e-007
GC_2_31 b_2 NI_2 NS_31 0 -4.8504083091343891e-006
GC_2_32 b_2 NI_2 NS_32 0 -2.7478062783117144e-008
GC_2_33 b_2 NI_2 NS_33 0 -3.9451008417644296e-011
GC_2_34 b_2 NI_2 NS_34 0 1.6135377164584693e-012
GC_2_35 b_2 NI_2 NS_35 0 -6.5228118241564723e-007
GC_2_36 b_2 NI_2 NS_36 0 4.7196713904211078e-007
GD_2_1 b_2 NI_2 NA_1 0 1.3399141703453320e-002
GD_2_2 b_2 NI_2 NA_2 0 -2.6798460355627457e-001
GD_2_3 b_2 NI_2 NA_3 0 9.5360620071674139e-003
*
* Port 3
VI_3 a_3 NI_3 0
RI_3 NI_3 b_3 5.0000000000000000e+001
GC_3_1 b_3 NI_3 NS_1 0 7.9220515410198658e-002
GC_3_2 b_3 NI_3 NS_2 0 1.4183424775768459e-004
GC_3_3 b_3 NI_3 NS_3 0 -7.8705456727741398e-007
GC_3_4 b_3 NI_3 NS_4 0 -2.1960314433263119e-007
GC_3_5 b_3 NI_3 NS_5 0 -2.2729805637611404e-006
GC_3_6 b_3 NI_3 NS_6 0 -6.5303091969263278e-007
GC_3_7 b_3 NI_3 NS_7 0 -2.6999034351405021e-006
GC_3_8 b_3 NI_3 NS_8 0 -1.6044506088113678e-008
GC_3_9 b_3 NI_3 NS_9 0 5.6623158246857935e-011
GC_3_10 b_3 NI_3 NS_10 0 -4.5764735787813476e-013
GC_3_11 b_3 NI_3 NS_11 0 1.7889457584300728e-006
GC_3_12 b_3 NI_3 NS_12 0 1.1624295519459404e-006
GC_3_13 b_3 NI_3 NS_13 0 7.8870764838264246e-002
GC_3_14 b_3 NI_3 NS_14 0 2.8261180545352364e-004
GC_3_15 b_3 NI_3 NS_15 0 -2.5507960937753861e-007
GC_3_16 b_3 NI_3 NS_16 0 1.3047034884743452e-008
GC_3_17 b_3 NI_3 NS_17 0 1.4675082065387664e-006
GC_3_18 b_3 NI_3 NS_18 0 -4.1697724652046303e-007
GC_3_19 b_3 NI_3 NS_19 0 -4.8766966853880597e-006
GC_3_20 b_3 NI_3 NS_20 0 -2.7611921676345105e-008
GC_3_21 b_3 NI_3 NS_21 0 -3.6572964474808432e-011
GC_3_22 b_3 NI_3 NS_22 0 1.6154759717537299e-012
GC_3_23 b_3 NI_3 NS_23 0 -6.4647277476202355e-007
GC_3_24 b_3 NI_3 NS_24 0 4.6003467641645862e-007
GC_3_25 b_3 NI_3 NS_25 0 8.3138775394860198e-002
GC_3_26 b_3 NI_3 NS_26 0 5.6132835761947184e-004
GC_3_27 b_3 NI_3 NS_27 0 1.0673216503350444e-006
GC_3_28 b_3 NI_3 NS_28 0 1.9623063567086188e-007
GC_3_29 b_3 NI_3 NS_29 0 8.1462867165133904e-007
GC_3_30 b_3 NI_3 NS_30 0 1.0646897317601804e-006
GC_3_31 b_3 NI_3 NS_31 0 7.5747582204745497e-006
GC_3_32 b_3 NI_3 NS_32 0 4.3707069630115242e-008
GC_3_33 b_3 NI_3 NS_33 0 1.2793269948160119e-011
GC_3_34 b_3 NI_3 NS_34 0 -1.3336950080642117e-012
GC_3_35 b_3 NI_3 NS_35 0 -1.7046203674546304e-006
GC_3_36 b_3 NI_3 NS_36 0 -5.3664626325364230e-007
GD_3_1 b_3 NI_3 NA_1 0 9.5898967606365491e-003
GD_3_2 b_3 NI_3 NA_2 0 9.5204332820846230e-003
GD_3_3 b_3 NI_3 NA_3 0 -2.7536971862480308e-001
*
******************************************


********************************
* Synthesis of impinging waves *
********************************

* Impinging wave, port 1
RA_1 NA_1 0 3.5355339059327378e+000
FA_1 0 NA_1 VI_1 1.0
GA_1 0 NA_1 a_1 b_1 2.0000000000000000e-002
*
* Impinging wave, port 2
RA_2 NA_2 0 3.5355339059327378e+000
FA_2 0 NA_2 VI_2 1.0
GA_2 0 NA_2 a_2 b_2 2.0000000000000000e-002
*
* Impinging wave, port 3
RA_3 NA_3 0 3.5355339059327378e+000
FA_3 0 NA_3 VI_3 1.0
GA_3 0 NA_3 a_3 b_3 2.0000000000000000e-002
*
********************************


***************************************
* Synthesis of real and complex poles *
***************************************

* Real pole n. 1
CS_1 NS_1 0 9.9999999999999998e-013
RS_1 NS_1 0 2.5512159722173067e+000
GS_1_1 0 NS_1 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 2
CS_2 NS_2 0 9.9999999999999998e-013
RS_2 NS_2 0 1.6913357676738560e+001
GS_2_1 0 NS_2 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 3
CS_3 NS_3 0 9.9999999999999998e-013
RS_3 NS_3 0 7.8895327134017032e+002
GS_3_1 0 NS_3 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 4
CS_4 NS_4 0 9.9999999999999998e-013
RS_4 NS_4 0 4.4706511604081797e+003
GS_4_1 0 NS_4 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 5
CS_5 NS_5 0 9.9999999999999998e-013
RS_5 NS_5 0 1.1287967034980711e+004
GS_5_1 0 NS_5 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 6
CS_6 NS_6 0 9.9999999999999998e-013
RS_6 NS_6 0 2.0666949130029247e+004
GS_6_1 0 NS_6 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 7
CS_7 NS_7 0 9.9999999999999998e-013
RS_7 NS_7 0 4.2550076448373598e+004
GS_7_1 0 NS_7 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 8
CS_8 NS_8 0 9.9999999999999998e-013
RS_8 NS_8 0 1.9356910866210199e+005
GS_8_1 0 NS_8 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 9
CS_9 NS_9 0 9.9999999999999998e-013
RS_9 NS_9 0 5.5744673870724430e+006
GS_9_1 0 NS_9 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 10
CS_10 NS_10 0 9.9999999999999998e-013
RS_10 NS_10 0 7.4382110750853419e+008
GS_10_1 0 NS_10 NA_1 0 8.5277929295239385e-001
*
* Complex pair n. 11/12
CS_11 NS_11 0 9.9999999999999998e-013
CS_12 NS_12 0 9.9999999999999998e-013
RS_11 NS_11 0 7.7950720111584008e+002
RS_12 NS_12 0 7.7950720111584008e+002
GL_11 0 NS_11 NS_12 0 1.2828617857135041e-001
GL_12 0 NS_12 NS_11 0 -1.2828617857135041e-001
GS_11_1 0 NS_11 NA_1 0 8.5277929295239385e-001
*
* Real pole n. 13
CS_13 NS_13 0 9.9999999999999998e-013
RS_13 NS_13 0 2.5512159722173067e+000
GS_13_2 0 NS_13 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 14
CS_14 NS_14 0 9.9999999999999998e-013
RS_14 NS_14 0 1.6913357676738560e+001
GS_14_2 0 NS_14 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 15
CS_15 NS_15 0 9.9999999999999998e-013
RS_15 NS_15 0 7.8895327134017032e+002
GS_15_2 0 NS_15 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 16
CS_16 NS_16 0 9.9999999999999998e-013
RS_16 NS_16 0 4.4706511604081797e+003
GS_16_2 0 NS_16 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 17
CS_17 NS_17 0 9.9999999999999998e-013
RS_17 NS_17 0 1.1287967034980711e+004
GS_17_2 0 NS_17 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 18
CS_18 NS_18 0 9.9999999999999998e-013
RS_18 NS_18 0 2.0666949130029247e+004
GS_18_2 0 NS_18 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 19
CS_19 NS_19 0 9.9999999999999998e-013
RS_19 NS_19 0 4.2550076448373598e+004
GS_19_2 0 NS_19 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 20
CS_20 NS_20 0 9.9999999999999998e-013
RS_20 NS_20 0 1.9356910866210199e+005
GS_20_2 0 NS_20 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 21
CS_21 NS_21 0 9.9999999999999998e-013
RS_21 NS_21 0 5.5744673870724430e+006
GS_21_2 0 NS_21 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 22
CS_22 NS_22 0 9.9999999999999998e-013
RS_22 NS_22 0 7.4382110750853419e+008
GS_22_2 0 NS_22 NA_2 0 8.5277929295239385e-001
*
* Complex pair n. 23/24
CS_23 NS_23 0 9.9999999999999998e-013
CS_24 NS_24 0 9.9999999999999998e-013
RS_23 NS_23 0 7.7950720111584008e+002
RS_24 NS_24 0 7.7950720111584008e+002
GL_23 0 NS_23 NS_24 0 1.2828617857135041e-001
GL_24 0 NS_24 NS_23 0 -1.2828617857135041e-001
GS_23_2 0 NS_23 NA_2 0 8.5277929295239385e-001
*
* Real pole n. 25
CS_25 NS_25 0 9.9999999999999998e-013
RS_25 NS_25 0 2.5512159722173067e+000
GS_25_3 0 NS_25 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 26
CS_26 NS_26 0 9.9999999999999998e-013
RS_26 NS_26 0 1.6913357676738560e+001
GS_26_3 0 NS_26 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 27
CS_27 NS_27 0 9.9999999999999998e-013
RS_27 NS_27 0 7.8895327134017032e+002
GS_27_3 0 NS_27 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 28
CS_28 NS_28 0 9.9999999999999998e-013
RS_28 NS_28 0 4.4706511604081797e+003
GS_28_3 0 NS_28 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 29
CS_29 NS_29 0 9.9999999999999998e-013
RS_29 NS_29 0 1.1287967034980711e+004
GS_29_3 0 NS_29 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 30
CS_30 NS_30 0 9.9999999999999998e-013
RS_30 NS_30 0 2.0666949130029247e+004
GS_30_3 0 NS_30 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 31
CS_31 NS_31 0 9.9999999999999998e-013
RS_31 NS_31 0 4.2550076448373598e+004
GS_31_3 0 NS_31 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 32
CS_32 NS_32 0 9.9999999999999998e-013
RS_32 NS_32 0 1.9356910866210199e+005
GS_32_3 0 NS_32 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 33
CS_33 NS_33 0 9.9999999999999998e-013
RS_33 NS_33 0 5.5744673870724430e+006
GS_33_3 0 NS_33 NA_3 0 8.5277929295239385e-001
*
* Real pole n. 34
CS_34 NS_34 0 9.9999999999999998e-013
RS_34 NS_34 0 7.4382110750853419e+008
GS_34_3 0 NS_34 NA_3 0 8.5277929295239385e-001
*
* Complex pair n. 35/36
CS_35 NS_35 0 9.9999999999999998e-013
CS_36 NS_36 0 9.9999999999999998e-013
RS_35 NS_35 0 7.7950720111584008e+002
RS_36 NS_36 0 7.7950720111584008e+002
GL_35 0 NS_35 NS_36 0 1.2828617857135041e-001
GL_36 0 NS_36 NS_35 0 -1.2828617857135041e-001
GS_35_3 0 NS_35 NA_3 0 8.5277929295239385e-001
*
******************************


.ends
*******************
* End of subcircuit
*******************
.ends z11b_ondie_decoupling_perdq
